<?php 
  include_once('nusoap.php');
  include_once('htmlfuncs.php');  
  include_once('background.php');
  include_once('pagemenu.php');  
  

  function SearchResults()
  {
    $Query = GetParam("Query", "");
   
    if ($Query == "")
    {
      return;
    }

    $Site = GetParam("Site", "");
    if ($Site != "")
    {
      $Site = " site:$Site";
    }

    $Start = intval(GetParam("Start", 0));
  
    $GoogleKey    = GoogleKey();
    $GoogleAPIURL = GoogleAPIURL();
    $MaxResults   = MaxResults();
 
    $Param = array("key"         => $GoogleKey,
                   "q"           => $Query.$Site,                 
                   "start"       => $Start,
                   "maxResults"  => $MaxResults,
                   "filter"      => false,
                   "restrict"    => "",
                   "safeSearch"  => false,
                   "lr"          => "lang_en",
                   "ie"          => "",
                   "oe"          => "");             
  
    // Create a new client by providing the endpoint to the constructor.
    $Client = new soapclient($GoogleAPIURL);
   
    $QueryResult = $Client->call("doGoogleSearch", $Param, "urn:GoogleSearch");
    $Searchtime  = $QueryResult["searchTime"];
    $Begin       = $Start + 1;
    $End         = $Start + $Param["maxResults"];
    $Total       = $QueryResult["estimatedTotalResultsCount"]; 
  
    $Result = "<table>";

    if ($Total > 0)
    {
      $QueryResult = $QueryResult["resultElements"]; 

      for ($i = 0; $i < $MaxResults; $i++)
      {
        $Element  = $QueryResult[$i];
        $URL      = $Element["URL"];
        $Title    = $Element["title"];
        $Snippet  = $Element["snippet"]; // [2]

        $Result  .= "<tr><td><a href=\"$URL\">$Title</a></td></tr>";
        $Result  .= "<tr><td>$Snippet</td></tr>";
        $Result  .= "<tr><td>$URL</td></tr>";
        $Result  .= "<tr><td>&nbsp;</td></tr>";
      }
    }
  
    $Result .= "</table>";
    
    $Result .= PageMenu($Query, $Site, $Start, $Total, $MaxResults);
    
    return $Result;
  }
  
?>